Get export vouchers
Returns the voucher package that was generated when bulk sending
Use Get export vouchers to fetch preprocessed bookkeeping or payroll information from the system.
Use this information to import it to the external system.
If needed it is possible to fetch a pdf including the booking data and receipt images etc by using the link in ‘basisUrl’ on each voucher in the vouchers node. Add ‘?format=pdf’ at the end of the url to get the rendered pdf, for insertion in the external system.
curl --request GET \
--url https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customDimensionDefinitions": [
{
"userOverridable": true,
"controlType": "LIST_SEARCHABLE",
"level": "EXPENSE",
"description": "Cost Center",
"useDateInterval": null,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"definition": null,
"externalSourceId": "GL_OBJECT_1",
"id": "fd5153bd07fa4ee78cc7cda906648ecb",
"type": null,
"presetLocation": "EMPLOYEE"
},
{
"userOverridable": true,
"controlType": "LIST_SEARCHABLE",
"level": "EXPENSE",
"description": "Project",
"useDateInterval": null,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"definition": null,
"externalSourceId": "GL_OBJECT_2",
"id": "2982b7677b3e4e499a08eabe34ce70f1",
"type": null,
"presetLocation": "EMPLOYEE"
}
],
"expenseBaseCurrency": {
"isoCode": "NOK",
"sortOrder": 99,
"name": "Norwegian Krone",
"id": "e377f196630311e18824b0dd45bff075"
},
"clientApplicationId": "93786088",
"applicationUrl": "https://expense.findity.com/api",
"organizations": [
{
"recipients": [
{
"settings": {
"xledger": {
"approveExpense": true
}
},
"fieldMapping": [],
"pluginName": "ce-integration-xledger",
"verificationListsType": "EXPENSE",
"id": "8ab28c4f6e238a35016e25d39e00004b"
}
],
"name": "Xledger Tester 4",
"vat": "585500-5504",
"id": "8ab28c4f6e238a35016e25d39cc60048",
"categories": [
{
"nonDeductableVat": false,
"taxExpenseCodeId": null,
"settings": {},
"accountingNumberId": null,
"expenseCodeId": null,
"salaryCodeId": "8ab28c4e6e2388ad016e25d4e2900bf1",
"mccCodes": [],
"accountNumberMapping": null,
"showRepresentation": false,
"accountingNumbers": [],
"showAccounting": false,
"dateCreated": "2019-11-01T09:56:46Z",
"name": "Fly - Innland",
"taxAccountingNumberId": null,
"presetValues": [],
"id": "1d013295deeb44b6badf35ae76d7356b",
"defaultTaxPercent": 12,
"classType": "com.findity.economy.accounting.OtherExpenseCategory",
"categoryGroup": "OTHER",
"verificationClassType": "com.findity.economy.accounting.travel.ReceiptVerification",
"taxSalaryCodeId": null,
"deviantTaxPercent": null
}
],
"employees": [
{
"lastName": "Example",
"debitAccount": null,
"debitSalaryCode": null,
"endDate": null,
"lastInvitationDate": "2019-11-20T08:44:11Z",
"language": "en",
"title": null,
"organizationalUnitId": null,
"externalSourceId": "17760200",
"bankAccountNumber": "8166567872345",
"presetValues": [],
"id": "8ab28c4f6e238a35016e25ee3b2c0084",
"paymentTypes": [],
"department": null,
"email": "user@findity.com",
"creditAccount": null,
"defaultCostCenterId": null,
"usesCongestion": null,
"creditSalaryCode": null,
"costCenter": null,
"fuelBenefitsSettings": null,
"carRegistrationNumber": null,
"employeeId": null,
"temporaryApprovers": [],
"cardNumberEnd": null,
"firstName": "User",
"impersonatorEmployees": [],
"creditCards": [],
"mobilePhone": "",
"phone": null,
"organizationalUnitExternalSourceId": null
}
]
}
],
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"filteredExpenseReports": [],
"vouchers": [
{
"date": "2019-11-20T08:14:10Z",
"expenseReportIds": [
"36690003376e49f597956c64d7ea7381"
],
"integrationModuleResult": {
"errorText": null,
"voucherNumber": "123",
"bookingDate": "2023-02-21T13:58:00Z",
"id": "70673d31e9704f768d70748c173ad7c1",
"informationText": null,
"status": "SUCCESS"
},
"organizationName": "Xledger Tester 4",
"description": "TAxi DEMO 0914",
"voucherRows": [
{
"amount": 198.98,
"description": "TAxi DEMO 0914",
"type": "DEBIT",
"expenseRecordId": "d9506b143b1144c19eb9f02886117bdd",
"unit": "PCS",
"dimensionValues": [],
"sortOrder": 1,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"id": "8cfdbc161548408cacbcf5fb77c58b7e",
"taxAmount": 11.26,
"amountIncludingTax": 198.98,
"accountingNumber": {
"number": "3830",
"visible": true,
"id": "8ab28c4e6e2388ad016e25d4e2900bf1",
"text": "Utlegg: Overnatting Hotell",
"type": "SALARY_CODE"
},
"expenseReportId": "36690003376e49f597956c64d7ea7381",
"group": "NORMAL"
}
],
"totalDebitAmount": 198.98,
"ownerId": "8ab28c4f6e238a35016e25ee3b2c0084",
"integrationPluginName": "ce-integration-xledger",
"expenseRecordId": "d9506b143b1144c19eb9f02886117bdd",
"listType": "EXPENSE",
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"vatType": "INCLUDED_AND_GROSS_AMOUNT",
"sortOrder": 1,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"recipientName": "Xledger",
"totalCreditAmount": null,
"expenseRecordIds": [
"d9506b143b1144c19eb9f02886117bdd"
],
"bookingDate": "2019-11-26T13:07:38Z",
"id": "70673d31e9704f768d70748c173ad7c1",
"basisUrl": "https://expense.findity.com/api/expensereports/36690003376e49f597956c64d7ea7381?expenseRecordFilter=d9506b143b1144c19eb9f02886117bdd",
"expenseReportId": "36690003376e49f597956c64d7ea7381"
}
],
"version": 1,
"integrationPluginName": "ce-integration-xledger",
"expenseReports": [
{
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"dateCreated": "2019-11-20T08:13:44Z",
"reportNumber": "76",
"name": "Expense report CL DEMO",
"employeeId": "8ab28c4f6e238a35016e25ee3b2c0084",
"id": "36690003376e49f597956c64d7ea7381",
"expenseRecords": [
{
"categoryTaxSalaryCodeId": null,
"clientApplicationId": "93786088",
"customFields": [],
"externalVoucherId": null,
"representation": null,
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"lastUpdated": "2019-11-20T08:14:31Z",
"externalVoucherNumber": null,
"dateCreated": "2019-11-20T08:14:31Z",
"paymentTypeId": null,
"ownerName": "User",
"costCenterId": null,
"isLocked": true,
"accountMapping": null,
"id": "d9506b143b1144c19eb9f02886117bdd",
"verification": {
"amount": 210,
"purchaseDate": "2019-11-20T08:14:10Z",
"cardTransaction": null,
"customFields": [],
"description": "TAxi DEMO 0914",
"storeIconUrl": null,
"cardTransactionId": null,
"baseCurrency": "NOK",
"lastUpdated": "2019-11-26T13:07:27Z",
"dateCreated": "2019-11-20T08:14:30Z",
"exchangeRate": 0.947504,
"verificationNumber": null,
"voucherDate": "2019-11-20T08:14:10Z",
"currency": "SEK",
"comment": null,
"tip": null,
"storeName": null,
"id": "cccce3f1dc694c898b02be815d08c598",
"taxAmount": 11.88,
"paidAmount": null,
"classType": "com.findity.economy.accounting.travel.ReceiptVerification"
},
"owner": "8a49a1b359cbfd7f0159d4f0dfd00037",
"externalVoucherErrorInformation": null,
"overrideAutomaticAccounting": false,
"fuelBenefitSpecificationId": null,
"ownerLanguage": "en",
"categoryTaxAccountNumberId": null,
"isUsed": true,
"ownerEmail": "user@findity.com",
"isValidWithoutAccounting": false,
"approvalComment": null,
"externalVoucherUrl": null,
"comment": null,
"projectId": null,
"categoryId": "1d013295deeb44b6badf35ae76d7356b",
"categoryTaxExpenseCodeId": null,
"expenseReportId": "36690003376e49f597956c64d7ea7381",
"status": "APPROVED"
}
],
"paidAmount": 0
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the organization of the user UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$The external export id UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$Response
OK
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
PRIVATE_CAR, COMPANY_CAR, COMPANY_CAR_DIESEL, COMPANY_CAR_OTHER, COMPANY_CAR_ELECTRICITY, COMPANY_CAR_ELECTRICITY_HOME, COMPANY_CAR_ELECTRICITY_PUBLIC, COMPANY_CAR_LTE_1400CC_PETROL, COMPANY_CAR_LTE_1400CC_LPG, COMPANY_CAR_LTE_1600CC_DIESEL, COMPANY_CAR_1401_2000CC_PETROL, COMPANY_CAR_1401_2000CC_LPG, COMPANY_CAR_1601_2000CC_DIESEL, COMPANY_CAR_GT_2000CC_PETROL, COMPANY_CAR_GT_2000CC_LPG, COMPANY_CAR_GT_2000CC_DIESEL, MOTOR_CYCLE, MOTOR_CYCLE_GT_125CC, MOTOR_CYCLE_LTE_125CC, MOPED, ALL_TERRAIN_VEHICLE, SNOW_MOBILE, BOAT_WITH_ENGINE, BOAT_WITH_ENGINE_GT_50HK, BOAT_WITH_ENGINE_LTE_50HK, PRIVATE_CAR_OR_MOTOR_CYCLE, PRIVATE_CYCLE_OR_MOPED, OTHER_VEHICLE, MOPED_OR_SCOOTER, CYCLE_OR_WALKING, PUBLIC_TRANSPORTATION, PRIVATE_CAR_3HP_LESS, PRIVATE_CAR_4HP, PRIVATE_CAR_5HP, PRIVATE_CAR_6HP, PRIVATE_CAR_7HP_MORE, MOTOR_CYCLE_1_2HP, MOTOR_CYCLE_3_5HP, MOTOR_CYCLE_5HP_MORE, PRIVATE_CAR_COMMUTER_HOME Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
curl --request GET \
--url https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customDimensionDefinitions": [
{
"userOverridable": true,
"controlType": "LIST_SEARCHABLE",
"level": "EXPENSE",
"description": "Cost Center",
"useDateInterval": null,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"definition": null,
"externalSourceId": "GL_OBJECT_1",
"id": "fd5153bd07fa4ee78cc7cda906648ecb",
"type": null,
"presetLocation": "EMPLOYEE"
},
{
"userOverridable": true,
"controlType": "LIST_SEARCHABLE",
"level": "EXPENSE",
"description": "Project",
"useDateInterval": null,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"definition": null,
"externalSourceId": "GL_OBJECT_2",
"id": "2982b7677b3e4e499a08eabe34ce70f1",
"type": null,
"presetLocation": "EMPLOYEE"
}
],
"expenseBaseCurrency": {
"isoCode": "NOK",
"sortOrder": 99,
"name": "Norwegian Krone",
"id": "e377f196630311e18824b0dd45bff075"
},
"clientApplicationId": "93786088",
"applicationUrl": "https://expense.findity.com/api",
"organizations": [
{
"recipients": [
{
"settings": {
"xledger": {
"approveExpense": true
}
},
"fieldMapping": [],
"pluginName": "ce-integration-xledger",
"verificationListsType": "EXPENSE",
"id": "8ab28c4f6e238a35016e25d39e00004b"
}
],
"name": "Xledger Tester 4",
"vat": "585500-5504",
"id": "8ab28c4f6e238a35016e25d39cc60048",
"categories": [
{
"nonDeductableVat": false,
"taxExpenseCodeId": null,
"settings": {},
"accountingNumberId": null,
"expenseCodeId": null,
"salaryCodeId": "8ab28c4e6e2388ad016e25d4e2900bf1",
"mccCodes": [],
"accountNumberMapping": null,
"showRepresentation": false,
"accountingNumbers": [],
"showAccounting": false,
"dateCreated": "2019-11-01T09:56:46Z",
"name": "Fly - Innland",
"taxAccountingNumberId": null,
"presetValues": [],
"id": "1d013295deeb44b6badf35ae76d7356b",
"defaultTaxPercent": 12,
"classType": "com.findity.economy.accounting.OtherExpenseCategory",
"categoryGroup": "OTHER",
"verificationClassType": "com.findity.economy.accounting.travel.ReceiptVerification",
"taxSalaryCodeId": null,
"deviantTaxPercent": null
}
],
"employees": [
{
"lastName": "Example",
"debitAccount": null,
"debitSalaryCode": null,
"endDate": null,
"lastInvitationDate": "2019-11-20T08:44:11Z",
"language": "en",
"title": null,
"organizationalUnitId": null,
"externalSourceId": "17760200",
"bankAccountNumber": "8166567872345",
"presetValues": [],
"id": "8ab28c4f6e238a35016e25ee3b2c0084",
"paymentTypes": [],
"department": null,
"email": "user@findity.com",
"creditAccount": null,
"defaultCostCenterId": null,
"usesCongestion": null,
"creditSalaryCode": null,
"costCenter": null,
"fuelBenefitsSettings": null,
"carRegistrationNumber": null,
"employeeId": null,
"temporaryApprovers": [],
"cardNumberEnd": null,
"firstName": "User",
"impersonatorEmployees": [],
"creditCards": [],
"mobilePhone": "",
"phone": null,
"organizationalUnitExternalSourceId": null
}
]
}
],
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"filteredExpenseReports": [],
"vouchers": [
{
"date": "2019-11-20T08:14:10Z",
"expenseReportIds": [
"36690003376e49f597956c64d7ea7381"
],
"integrationModuleResult": {
"errorText": null,
"voucherNumber": "123",
"bookingDate": "2023-02-21T13:58:00Z",
"id": "70673d31e9704f768d70748c173ad7c1",
"informationText": null,
"status": "SUCCESS"
},
"organizationName": "Xledger Tester 4",
"description": "TAxi DEMO 0914",
"voucherRows": [
{
"amount": 198.98,
"description": "TAxi DEMO 0914",
"type": "DEBIT",
"expenseRecordId": "d9506b143b1144c19eb9f02886117bdd",
"unit": "PCS",
"dimensionValues": [],
"sortOrder": 1,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"id": "8cfdbc161548408cacbcf5fb77c58b7e",
"taxAmount": 11.26,
"amountIncludingTax": 198.98,
"accountingNumber": {
"number": "3830",
"visible": true,
"id": "8ab28c4e6e2388ad016e25d4e2900bf1",
"text": "Utlegg: Overnatting Hotell",
"type": "SALARY_CODE"
},
"expenseReportId": "36690003376e49f597956c64d7ea7381",
"group": "NORMAL"
}
],
"totalDebitAmount": 198.98,
"ownerId": "8ab28c4f6e238a35016e25ee3b2c0084",
"integrationPluginName": "ce-integration-xledger",
"expenseRecordId": "d9506b143b1144c19eb9f02886117bdd",
"listType": "EXPENSE",
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"vatType": "INCLUDED_AND_GROSS_AMOUNT",
"sortOrder": 1,
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"recipientName": "Xledger",
"totalCreditAmount": null,
"expenseRecordIds": [
"d9506b143b1144c19eb9f02886117bdd"
],
"bookingDate": "2019-11-26T13:07:38Z",
"id": "70673d31e9704f768d70748c173ad7c1",
"basisUrl": "https://expense.findity.com/api/expensereports/36690003376e49f597956c64d7ea7381?expenseRecordFilter=d9506b143b1144c19eb9f02886117bdd",
"expenseReportId": "36690003376e49f597956c64d7ea7381"
}
],
"version": 1,
"integrationPluginName": "ce-integration-xledger",
"expenseReports": [
{
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"dateCreated": "2019-11-20T08:13:44Z",
"reportNumber": "76",
"name": "Expense report CL DEMO",
"employeeId": "8ab28c4f6e238a35016e25ee3b2c0084",
"id": "36690003376e49f597956c64d7ea7381",
"expenseRecords": [
{
"categoryTaxSalaryCodeId": null,
"clientApplicationId": "93786088",
"customFields": [],
"externalVoucherId": null,
"representation": null,
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"lastUpdated": "2019-11-20T08:14:31Z",
"externalVoucherNumber": null,
"dateCreated": "2019-11-20T08:14:31Z",
"paymentTypeId": null,
"ownerName": "User",
"costCenterId": null,
"isLocked": true,
"accountMapping": null,
"id": "d9506b143b1144c19eb9f02886117bdd",
"verification": {
"amount": 210,
"purchaseDate": "2019-11-20T08:14:10Z",
"cardTransaction": null,
"customFields": [],
"description": "TAxi DEMO 0914",
"storeIconUrl": null,
"cardTransactionId": null,
"baseCurrency": "NOK",
"lastUpdated": "2019-11-26T13:07:27Z",
"dateCreated": "2019-11-20T08:14:30Z",
"exchangeRate": 0.947504,
"verificationNumber": null,
"voucherDate": "2019-11-20T08:14:10Z",
"currency": "SEK",
"comment": null,
"tip": null,
"storeName": null,
"id": "cccce3f1dc694c898b02be815d08c598",
"taxAmount": 11.88,
"paidAmount": null,
"classType": "com.findity.economy.accounting.travel.ReceiptVerification"
},
"owner": "8a49a1b359cbfd7f0159d4f0dfd00037",
"externalVoucherErrorInformation": null,
"overrideAutomaticAccounting": false,
"fuelBenefitSpecificationId": null,
"ownerLanguage": "en",
"categoryTaxAccountNumberId": null,
"isUsed": true,
"ownerEmail": "user@findity.com",
"isValidWithoutAccounting": false,
"approvalComment": null,
"externalVoucherUrl": null,
"comment": null,
"projectId": null,
"categoryId": "1d013295deeb44b6badf35ae76d7356b",
"categoryTaxExpenseCodeId": null,
"expenseReportId": "36690003376e49f597956c64d7ea7381",
"status": "APPROVED"
}
],
"paidAmount": 0
}
]
}
